org.apache.jorphan.gui

## Class GuiUtils

- java.lang.Object
- - org.apache.jorphan.gui.GuiUtils

    public final class GuiUtils
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`GuiUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `cancelEditing(JTable table)` cancel any editing that is currently being done on the table.
`static void` `copyTextToClipboard(String text)` Copy text to clipboard
`static JComponent` `createLabelCombo(String label, JComboBox<?> comboBox)` Create a GUI component JLabel + JComboBox with a left and right margin (5px)
`static <C extends JComponent> C` `emptyBorder(C comp)` Clears border of the given component.
`static void` `fixSize(TableColumn column, JTable table)` Fix the size of a column according to the header text.
`static String` `getPastedText()` Get pasted text from clipboard
`static void` `makeScrollableMenu(JMenu menu)` Make menu scrollable
`static JScrollPane` `makeScrollPane(Component comp)` Create a scroll panel that sets its preferred size to its minimum size.
`static void` `stopTableEditing(JTable table)` Stop any editing that is currently being done on the table.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GuiUtils

    public GuiUtils()

### Method Detail

#### makeScrollPane

    public static JScrollPane makeScrollPane(Component comp)

Create a scroll panel that sets its preferred size to its minimum size. Explicitly for scroll panes that live inside other scroll panes, or within containers that stretch components to fill the area they exist in. Use this for any component you would put in a scroll pane (such as TextAreas, tables, JLists, etc). It is here for convenience and to avoid duplicate code. JMeter displays best if you follow this custom.

Parameters:
  `comp` - the component which should be placed inside the scroll pane
Returns:
  a JScrollPane containing the specified component

#### emptyBorder

    public static <C extends JComponent> C emptyBorder(C comp)

Clears border of the given component.

Type Parameters:
  `C` - component type
Parameters:
  `comp` - input component
Returns:
  the given component with border set to empty

#### fixSize

    public static void fixSize(TableColumn column,
                               JTable table)

Fix the size of a column according to the header text.

Parameters:
  `column` - to be resized
  `table` - containing the column

#### createLabelCombo

    public static JComponent createLabelCombo(String label,
                                              JComboBox<?> comboBox)

Create a GUI component JLabel + JComboBox with a left and right margin (5px)

Parameters:
  `label` - the label
  `comboBox` - the combo box
Returns:
  the JComponent (margin+JLabel+margin+JComboBox)

#### stopTableEditing

    public static void stopTableEditing(JTable table)

Stop any editing that is currently being done on the table. This will save any changes that have already been made.

Parameters:
  `table` - the table to stop on editing

#### cancelEditing

    public static void cancelEditing(JTable table)

cancel any editing that is currently being done on the table.

Parameters:
  `table` - the table to cancel on editing
Since:
  3.1

#### getPastedText

    public static String getPastedText()
                                throws UnsupportedFlavorException,
                                       IOException

Get pasted text from clipboard

Returns:
  String Pasted text
Throws:
  `UnsupportedFlavorException` - if the clipboard data can not be get as a `String`
  `IOException` - if the clipboard data is no longer available

#### makeScrollableMenu

    public static void makeScrollableMenu(JMenu menu)

Make menu scrollable

Parameters:
  `menu` - `JMenu`

#### copyTextToClipboard

    public static final void copyTextToClipboard(String text)

Copy text to clipboard

Parameters:
  `text` - Text to copy